Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## APStudio.figures
Class ClassFigure

    java.lang.Object
      |
      +--org.eclipse.draw2d.Figure
            |
            +--APStudio.figures.NodeFigure
                  |
                  +--APStudio.figures.ClassFigure

All Implemented Interfaces:
  org.eclipse.draw2d.IFigure

public class ClassFigure
extends NodeFigure

Field Summary
`static org.eclipse.swt.graphics.Color` | `DISPLAY_TEXT` Color of the LEDFigure's displayed value

Fields inherited from interface org.eclipse.draw2d.IFigure
`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

Constructor Summary
`ClassFigure()`

Method Summary
`java.lang.String` | `getText()`
`void` | `setBounds(org.eclipse.draw2d.geometry.Rectangle rect)`
`void` | `setConstraint(org.eclipse.draw2d.IFigure child, java.lang.Object constraint)`
`void` | `setText(java.lang.String text)`

Methods inherited from class APStudio.figures.NodeFigure
`connectionAnchorAt, getConnectionAnchor, getConnectionAnchorName, getSourceConnectionAnchorAt, getSourceConnectionAnchors, getTargetConnectionAnchorAt, getTargetConnectionAnchors`

Methods inherited from class org.eclipse.draw2d.Figure
`add, add, add, add, addAncestorListener, addFigureListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getCursor, getFont, getForegroundColor, getInsets, getLayoutManager, getLocation, getMaximumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, isEnabled, isFocusTraversable, isOpaque, isRequestFocusEnabled, isVisible, paint, remove, removeAll, removeAncestorListener, removeFigureListener, removeFocusListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setCursor, setEnabled, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setUpdateManager, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISPLAY_TEXT

    public static final org.eclipse.swt.graphics.Color DISPLAY_TEXT

  Color of the LEDFigure's displayed value

Constructor Detail

### ClassFigure

    public ClassFigure()

Method Detail

### getText

    public java.lang.String getText()

### setText

    public void setText(java.lang.String text)

### setBounds

    public void setBounds(org.eclipse.draw2d.geometry.Rectangle rect)

  Specified by:
    `setBounds` in interface `org.eclipse.draw2d.IFigure`
  Overrides:
    `setBounds` in class `org.eclipse.draw2d.Figure`

### setConstraint

    public void setConstraint(org.eclipse.draw2d.IFigure child,
                              java.lang.Object constraint)

  Specified by:
    `setConstraint` in interface `org.eclipse.draw2d.IFigure`
  Overrides:
    `setConstraint` in class `org.eclipse.draw2d.Figure`
  See Also:
    `Figure.setConstraint(IFigure, Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD